Index: locales/hu/main.po
===================================================================
--- locales/hu/main.po	(revision 3626)
+++ locales/hu/main.po	(revision 3784)
@@ -8,5 +8,5 @@
 "Project-Id-Version: Dotclear 2.0-RC2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-07-24 11:24+0200\n"
+"POT-Creation-Date: 2018-07-26 16:10+0200\n"
 "PO-Revision-Date: 2016-07-18 15:48+0200\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
@@ -147,4 +147,7 @@
 msgstr "Kötelező kitölteni"
 
+msgid "Blog ID"
+msgstr "Blog ID"
+
 msgid "At least 2 characters using letters, numbers or symbols."
 msgstr "Legalább 2 karakter, betűket, számokat vagy szimbólumokat használhatsz."
@@ -153,7 +156,14 @@
 msgstr "Blognév:"
 
+msgid "Blog name"
+msgstr "Blognév"
+
 msgid "Blog URL:"
 msgstr "Blog URL-je:"
 
+#, fuzzy
+msgid "Blog URL"
+msgstr "Blog URL-je:"
+
 msgid "Blog description:"
 msgstr "Blog leírása:"
@@ -406,4 +416,7 @@
 
 msgid "Be carefull if you share it with other blogs in your installation."
+msgstr ""
+
+msgid "Set -1 to use the default size, set 0 to ignore this thumbnail size (images only)."
 msgstr ""
 
@@ -656,10 +669,4 @@
 msgstr "Legutóbbi frisítés"
 
-msgid "Blog name"
-msgstr "Blognév"
-
-msgid "Blog ID"
-msgstr "Blog ID"
-
 msgid "Status"
 msgstr "Állapot"
@@ -754,7 +761,5 @@
 #, fuzzy
 msgid "The category has been successfully removed."
-msgid_plural "The categories have been successfully removed."
-msgstr[0] "A kategória adatai frissítve."
-msgstr[1] "A kategória adatai frissítve."
+msgstr "A kategória adatai frissítve."
 
 #, fuzzy
@@ -828,4 +833,7 @@
 msgid "Name:"
 msgstr "Keresztnév::"
+
+msgid "Name"
+msgstr "Név"
 
 #, fuzzy
@@ -928,4 +936,7 @@
 msgstr "Szerző:"
 
+msgid "Author"
+msgstr "Szerző"
+
 msgid "Web site:"
 msgstr "Honlap:"
@@ -954,7 +965,4 @@
 msgid "Entry date"
 msgstr "Bejegyzés címe"
-
-msgid "Author"
-msgstr "Szerző"
 
 msgid "IP"
@@ -1014,11 +1022,4 @@
 
 #, fuzzy
-msgid "Dotclear news"
-msgstr "DotClear csapat"
-
-msgid "%d %B %Y:"
-msgstr ""
-
-#, fuzzy
 msgid "Documentation and support"
 msgstr "Dokumentáció"
@@ -1027,25 +1028,4 @@
 msgstr "Beállítópanel"
 
-#, php-format
-msgid "Dotclear %s is available!"
-msgstr "Dotclear %s már elérhető!"
-
-msgid "Upgrade now"
-msgstr "Frissítés"
-
-msgid "Remind me later"
-msgstr "Értesíts később"
-
-msgid "Information about this version"
-msgstr ""
-
-#, php-format
-msgid "A new version of Dotclear is available but needs PHP version ≥ %s, your's is currently %s"
-msgstr ""
-
-#, php-format
-msgid "The next versions of Dotclear will not support PHP version < %s, your's is currently %s"
-msgstr ""
-
 msgid "Make this blog my default blog"
 msgstr "Legyen ez az alapértelmezett blog"
@@ -1099,4 +1079,8 @@
 
 msgid "Content:"
+msgstr "Tartalom:"
+
+#, fuzzy
+msgid "Content"
 msgstr "Tartalom:"
 
@@ -1255,4 +1239,12 @@
 msgstr "Hibás felhasználónév vagy jelszó"
 
+#, fuzzy
+msgid "Username"
+msgstr "Felhasználónév:"
+
+#, fuzzy
+msgid "Password"
+msgstr "Jelszó:"
+
 msgid "All done!"
 msgstr "Minden rendben!"
@@ -1337,8 +1329,14 @@
 msgstr ""
 
+msgid "MySQLi (full UTF-8)"
+msgstr ""
+
 msgid "PostgreSQL"
 msgstr ""
 
 msgid "SQLite"
+msgstr ""
+
+msgid "Driver"
 msgstr ""
 
@@ -1357,4 +1355,7 @@
 msgid "Database Tables Prefix:"
 msgstr "Adatbázis tábláinak prefixuma:"
+
+msgid "Prefix"
+msgstr ""
 
 msgid "Master Email: (used as sender for password recovery)"
@@ -1614,8 +1615,13 @@
 msgstr "Média tulajdonságok"
 
-msgid "Name"
-msgstr "Név"
-
 msgid "Size"
+msgstr ""
+
+#, php-format
+msgid "Nb of items: %d → %d folder(s) + %d file(s)"
+msgstr ""
+
+#, php-format
+msgid "Nb of items: %d"
 msgstr ""
 
@@ -1947,4 +1953,8 @@
 
 #, fuzzy
+msgid "URL"
+msgstr "URL ::"
+
+#, fuzzy
 msgid "Link title:"
 msgstr "Fájltípus:"
@@ -2107,8 +2117,4 @@
 
 #, fuzzy
-msgid "Password"
-msgstr "Jelszó:"
-
-#, fuzzy
 msgid "Edit basename"
 msgstr "Alapnév:"
@@ -2368,4 +2374,8 @@
 
 #, fuzzy
+msgid "Activate dark mode"
+msgstr "Bekapcsol"
+
+#, fuzzy
 msgid "Activate enhanced uploader in media manager"
 msgstr "Bővített fájlfeltöltő aktiválása"
@@ -2380,4 +2390,10 @@
 msgstr ""
 
+msgid "Hide help button"
+msgstr ""
+
+msgid "Show asynchronous requests indicator"
+msgstr ""
+
 #, fuzzy
 msgid "Font size:"
@@ -2558,4 +2574,52 @@
 msgstr "%d megjegyzést találtam"
 
+#, fuzzy, php-format
+msgid "%d post"
+msgid_plural "%d posts"
+msgstr[0] "A %s blog szerkesztése"
+msgstr[1] "A %s blog szerkesztése"
+
+#, fuzzy, php-format
+msgid "%d comment"
+msgid_plural "%d comments"
+msgstr[0] "%d megjegyzés"
+msgstr[1] "%d megjegyzés"
+
+#, fuzzy
+msgid "Dotclear news not available"
+msgstr "Dotclear %s már elérhető!"
+
+#, fuzzy
+msgid "Dotclear news"
+msgstr "DotClear csapat"
+
+msgid "%d %B %Y:"
+msgstr ""
+
+#, fuzzy
+msgid "Dotclear update not available"
+msgstr "Dotclear %s már elérhető!"
+
+#, php-format
+msgid "Dotclear %s is available!"
+msgstr "Dotclear %s már elérhető!"
+
+msgid "Upgrade now"
+msgstr "Frissítés"
+
+msgid "Remind me later"
+msgstr "Értesíts később"
+
+msgid "Information about this version"
+msgstr ""
+
+#, php-format
+msgid "A new version of Dotclear is available but needs PHP version ≥ %s, your's is currently %s"
+msgstr ""
+
+#, php-format
+msgid "The next versions of Dotclear will not support PHP version < %s, your's is currently %s"
+msgstr ""
+
 #, fuzzy
 msgid "Dotclear update"
@@ -2660,4 +2724,8 @@
 msgstr "Felhasználónév"
 
+#, fuzzy
+msgid "Login"
+msgstr "Felhasználónév:"
+
 msgid "Warning:"
 msgstr "Figyelem:"
@@ -2698,8 +2766,4 @@
 
 #, fuzzy
-msgid "Username"
-msgstr "Felhasználónév:"
-
-#, fuzzy
 msgid "Last Name"
 msgstr "Legutóbbi frisítés"
@@ -2750,8 +2814,4 @@
 msgid "No blog"
 msgstr "Nincs blog"
-
-#, fuzzy
-msgid "URL"
-msgstr "URL ::"
 
 #, fuzzy
@@ -2962,16 +3022,4 @@
 msgstr "Nyelv?"
 
-#, fuzzy, php-format
-msgid "%d post"
-msgid_plural "%d posts"
-msgstr[0] "A %s blog szerkesztése"
-msgstr[1] "A %s blog szerkesztése"
-
-#, fuzzy, php-format
-msgid "%d comment"
-msgid_plural "%d comments"
-msgstr[0] "%d megjegyzés"
-msgstr[1] "%d megjegyzés"
-
 msgid "Change blog"
 msgstr "Blog megváltoztatása"
@@ -3314,4 +3362,8 @@
 
 #, php-format
+msgid " (%s)"
+msgstr ""
+
+#, php-format
 msgid "This module cannot be disabled nor deleted, since the following modules are also enabled : %s"
 msgstr ""
@@ -4066,4 +4118,16 @@
 msgstr "Hibás beállítási név: %s"
 
+msgid "SQL SELECT requires a FROM source"
+msgstr ""
+
+msgid "SQL DELETE requires a FROM source"
+msgstr ""
+
+msgid "SQL UPDATE requires an INTO source"
+msgstr ""
+
+msgid "SQL INSERT requires an INTO source"
+msgstr ""
+
 #, fuzzy
 msgid "Failed to read data feed"
@@ -4187,147 +4251,4 @@
 msgstr "Valami elszállt automata frissítés közben:"
 
-msgid "Unable to open directory."
-msgstr "Nem lehet megnyitni a mappát."
-
-msgid "Unable to create directory."
-msgstr "Nem lehet létrehozni a mappát."
-
-msgid "File is not writable."
-msgstr "A fájl nem írható."
-
-msgid "Unable to open file."
-msgstr "Nem lehet megnyitni a fájlt."
-
-msgid "Not an uploaded file."
-msgstr "Nem egy feltöltött fájl."
-
-msgid "The uploaded file exceeds the maximum file size allowed."
-msgstr "A feltöltött fájl mérete meghaladja a maximálisan feltölthető fájl méretét."
-
-msgid "The uploaded file was only partially uploaded."
-msgstr "A feltöltött fájl csak részben érkezett meg a kiszolgálóra."
-
-msgid "No file was uploaded."
-msgstr "Nem érkezett fájl a kiszolgálóra."
-
-msgid "Missing a temporary folder."
-msgstr "Az ideiglenes mappa hiányzik!"
-
-msgid "Failed to write file to disk."
-msgstr "Nem tudok a lemezre írni."
-
-msgid "A PHP extension stopped the file upload."
-msgstr ""
-
-#, php-format
-msgid "%s is not a directory."
-msgstr "a(z) %s nem mappa."
-
-msgid "Bad range"
-msgstr ""
-
-#, fuzzy
-msgid "Invalid range"
-msgstr "Hibás nyelvkód"
-
-#, fuzzy
-msgid "Invalid line number"
-msgstr "Hibás nyelvkód"
-
-msgid "Chunk is out of range"
-msgstr ""
-
-msgid "Bad context"
-msgstr ""
-
-msgid "Bad context (in deletion)"
-msgstr ""
-
-#, fuzzy
-msgid "Invalid diff format"
-msgstr "Érvénytelen digest fájl."
-
-msgid "Uploading this file is not allowed."
-msgstr "Nem engedélyezett feltölteni ezt a fájlt."
-
-msgid "Destination directory is not in jail."
-msgstr "Hibás célmappanév."
-
-#, fuzzy
-msgid "File already exists."
-msgstr "Az új fájl már létezik."
-
-msgid "Cannot write in this directory."
-msgstr "Nem tudok a mappába írni."
-
-msgid "Source file does not exist."
-msgstr "A forrásfájl nem létezik."
-
-msgid "File is not in jail."
-msgstr "Hibás fájlnév."
-
-msgid "Destination directory is not writable."
-msgstr "A célmappa nem írható."
-
-msgid "Unable to rename file."
-msgstr "Nem lehet átnevezni a fájlt."
-
-msgid "File cannot be removed."
-msgstr "A fájlt nem lehet eltávolítani."
-
-msgid "Directory is not in jail."
-msgstr "Hibás mappanév."
-
-msgid "Directory cannot be removed."
-msgstr "A mappát nem lehet eltávolítani."
-
-msgid "Not enough memory to open image."
-msgstr "Nincs elég memória a kép megnyitásához."
-
-#, php-format
-msgid "Did not find closing tag for block <tpl:%s>. Content has been ignored."
-msgstr ""
-
-#, php-format
-msgid "Unexpected closing tag </tpl:%s> found."
-msgstr ""
-
-msgid "WARNING: the following errors have been found while parsing template file :"
-msgstr ""
-
-msgid "singular"
-msgid_plural "plural"
-msgstr[0] ""
-msgstr[1] ""
-
-#, php-format
-msgid "File %s is not compressed in the zip."
-msgstr "A(z) %s nincs zip-be tömörítve."
-
-#, php-format
-msgid "Trying to unzip a folder name %s"
-msgstr "Megpróbálom a(z) %s mappába kicsomagolni."
-
-msgid "Unable to write destination file."
-msgstr "Nem lehet írni a célfájlba."
-
-msgid "Unable to write in target directory, permission denied."
-msgstr "Nem lehet írni a célmappába, mert nincs elég jog hozzá."
-
-msgid "Not enough memory to open file."
-msgstr "Nincs elég memória a fájl megnyitásához."
-
-msgid "File does not exist"
-msgstr "A fájl nem létezik"
-
-msgid "Cannot read file"
-msgstr "Nem lehet a fájlt olvasni"
-
-msgid "Directory does not exist"
-msgstr "A mappa nem létezik"
-
-msgid "Cannot read directory"
-msgstr "Nem lehet a mappát olvasni"
-
 msgid "Site temporarily unavailable"
 msgstr ""
@@ -4345,4 +4266,113 @@
 msgid "The following error was encountered while trying to read the database:"
 msgstr ""
+
+#~ msgid "Unable to open directory."
+#~ msgstr "Nem lehet megnyitni a mappát."
+
+#~ msgid "Unable to create directory."
+#~ msgstr "Nem lehet létrehozni a mappát."
+
+#~ msgid "File is not writable."
+#~ msgstr "A fájl nem írható."
+
+#~ msgid "Unable to open file."
+#~ msgstr "Nem lehet megnyitni a fájlt."
+
+#~ msgid "Not an uploaded file."
+#~ msgstr "Nem egy feltöltött fájl."
+
+#~ msgid "The uploaded file exceeds the maximum file size allowed."
+#~ msgstr "A feltöltött fájl mérete meghaladja a maximálisan feltölthető fájl méretét."
+
+#~ msgid "The uploaded file was only partially uploaded."
+#~ msgstr "A feltöltött fájl csak részben érkezett meg a kiszolgálóra."
+
+#~ msgid "No file was uploaded."
+#~ msgstr "Nem érkezett fájl a kiszolgálóra."
+
+#~ msgid "Missing a temporary folder."
+#~ msgstr "Az ideiglenes mappa hiányzik!"
+
+#~ msgid "Failed to write file to disk."
+#~ msgstr "Nem tudok a lemezre írni."
+
+#~ msgid "%s is not a directory."
+#~ msgstr "a(z) %s nem mappa."
+
+#, fuzzy
+#~ msgid "Invalid range"
+#~ msgstr "Hibás nyelvkód"
+
+#, fuzzy
+#~ msgid "Invalid line number"
+#~ msgstr "Hibás nyelvkód"
+
+#, fuzzy
+#~ msgid "Invalid diff format"
+#~ msgstr "Érvénytelen digest fájl."
+
+#~ msgid "Uploading this file is not allowed."
+#~ msgstr "Nem engedélyezett feltölteni ezt a fájlt."
+
+#~ msgid "Destination directory is not in jail."
+#~ msgstr "Hibás célmappanév."
+
+#, fuzzy
+#~ msgid "File already exists."
+#~ msgstr "Az új fájl már létezik."
+
+#~ msgid "Cannot write in this directory."
+#~ msgstr "Nem tudok a mappába írni."
+
+#~ msgid "Source file does not exist."
+#~ msgstr "A forrásfájl nem létezik."
+
+#~ msgid "File is not in jail."
+#~ msgstr "Hibás fájlnév."
+
+#~ msgid "Destination directory is not writable."
+#~ msgstr "A célmappa nem írható."
+
+#~ msgid "Unable to rename file."
+#~ msgstr "Nem lehet átnevezni a fájlt."
+
+#~ msgid "File cannot be removed."
+#~ msgstr "A fájlt nem lehet eltávolítani."
+
+#~ msgid "Directory is not in jail."
+#~ msgstr "Hibás mappanév."
+
+#~ msgid "Directory cannot be removed."
+#~ msgstr "A mappát nem lehet eltávolítani."
+
+#~ msgid "Not enough memory to open image."
+#~ msgstr "Nincs elég memória a kép megnyitásához."
+
+#~ msgid "File %s is not compressed in the zip."
+#~ msgstr "A(z) %s nincs zip-be tömörítve."
+
+#~ msgid "Trying to unzip a folder name %s"
+#~ msgstr "Megpróbálom a(z) %s mappába kicsomagolni."
+
+#~ msgid "Unable to write destination file."
+#~ msgstr "Nem lehet írni a célfájlba."
+
+#~ msgid "Unable to write in target directory, permission denied."
+#~ msgstr "Nem lehet írni a célmappába, mert nincs elég jog hozzá."
+
+#~ msgid "Not enough memory to open file."
+#~ msgstr "Nincs elég memória a fájl megnyitásához."
+
+#~ msgid "File does not exist"
+#~ msgstr "A fájl nem létezik"
+
+#~ msgid "Cannot read file"
+#~ msgstr "Nem lehet a fájlt olvasni"
+
+#~ msgid "Directory does not exist"
+#~ msgstr "A mappa nem létezik"
+
+#~ msgid "Cannot read directory"
+#~ msgstr "Nem lehet a mappát olvasni"
 
 #, fuzzy
@@ -4668,7 +4698,4 @@
 #~ msgstr "A <strong>%s</strong> fájl már létezik. ha szükséged van bármilyen konfigurációs elem megváltoztatására, előbb töröld vagy <a href=\"%s\">folytathatod a telepítést</a>."
 
-#~ msgid "Login:"
-#~ msgstr "Felhasználónév:"
-
 #~ msgid "An error occured while deleting %s theme:"
 #~ msgstr "Hiba történt %s törlése közben:"
Index: locales/hu/plugins.po
===================================================================
--- locales/hu/plugins.po	(revision 3557)
+++ locales/hu/plugins.po	(revision 3784)
@@ -7,5 +7,5 @@
 "Project-Id-Version: Dotclear 2.0-RC2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2017-07-24 11:24+0200\n"
+"POT-Creation-Date: 2018-07-26 16:10+0200\n"
 "PO-Revision-Date: 2016-07-18 15:47+0200\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
@@ -209,4 +209,12 @@
 msgstr "Akismet spamszűrő"
 
+#, php-format
+msgid "(including %d spam comment)"
+msgstr "(%d spam megjegyzést hozzászámolva)"
+
+#, php-format
+msgid "(including %d spam comments)"
+msgstr "(%d spam megjegyzést hozzászámolva)"
+
 msgid "IP Blacklist / Whitelist Filter"
 msgstr "IP Feketelista / Fehérlista szűrő"
@@ -326,12 +334,4 @@
 msgid "This comment is a spam:"
 msgstr "Ez a megjegyzés egy spam."
-
-#, php-format
-msgid "(including %d spam comment)"
-msgstr "(%d spam megjegyzést hozzászámolva)"
-
-#, php-format
-msgid "(including %d spam comments)"
-msgstr "(%d spam megjegyzést hozzászámolva)"
 
 msgid "Spam moderation"
@@ -1711,4 +1711,15 @@
 msgstr ""
 
+msgid "the link will open a new window"
+msgstr ""
+
+#, fuzzy
+msgid "Active page"
+msgstr "Aktív"
+
+#, fuzzy
+msgid "active page"
+msgstr "Oldal megte"
+
 #, fuzzy
 msgid "Item description"
@@ -1848,4 +1859,7 @@
 msgstr ""
 
+msgid "Open URL on a new tab"
+msgstr ""
+
 msgid "Add this item"
 msgstr ""
@@ -1889,12 +1903,18 @@
 msgstr "Címke:"
 
+msgid "Tag name"
+msgstr "Címke neve"
+
+msgid "Entries count"
+msgstr "Bejegyzések száma"
+
+msgid "Newest entry"
+msgstr ""
+
+msgid "Oldest entry"
+msgstr ""
+
 msgid "Limit (empty means no limit):"
 msgstr "Korlát (ha üresen hagyod, akkor nincs határ)"
-
-msgid "Entries count"
-msgstr "Bejegyzések száma"
-
-msgid "Tag name"
-msgstr "Címke neve"
 
 msgid "Link to all tags:"
@@ -2441,7 +2461,4 @@
 #~ msgstr "Küld"
 
-#~ msgid "View page"
-#~ msgstr "Oldal megte"
-
 #, fuzzy
 #~ msgid "Preview page"