Index: admin/langs.php
===================================================================
--- admin/langs.php	(revision 2566)
+++ admin/langs.php	(revision 2573)
@@ -89,7 +89,7 @@
 		@unlink($dest);
 		if ($ret_code == 2) {
-			dcPage::addSuccessNotice( __('Language has been successfully upgraded'));
+			dcPage::addSuccessNotice(__('Language has been successfully upgraded'));
 		} else {
-			dcPage::addSuccessNotice($__('Language has been successfully installed.'));
+			dcPage::addSuccessNotice(__('Language has been successfully installed.'));
 		}
 		http::redirect('langs.php');
Index: admin/services.php
===================================================================
--- admin/services.php	(revision 2566)
+++ admin/services.php	(revision 2572)
@@ -399,5 +399,5 @@
 		while ($rs->fetch())
 		{
-			if (preg_match('/'.$q.'/i',$rs->meta_id)) {
+			if (stripos($rs->meta_id,$q) === 0) {
 				$metaTag = new xmlTag('meta');
 				$metaTag->type = $rs->meta_type;
Index: locales/en/help/core_blog_pref.html
===================================================================
--- locales/en/help/core_blog_pref.html	(revision 2534)
+++ locales/en/help/core_blog_pref.html	(revision 2569)
@@ -181,12 +181,12 @@
   <li><strong>%T:</strong> The current time (identical to %H:%M:%S)</li>
   <li><strong>%u:</strong> Day week, digit, from 1 to 7. (1 stands for monday)</li>
-  <li><strong>%U:</strong> Week number, the first sundqy of the year being the
+  <li><strong>%U:</strong> Week number, the first Sunday of the year being the
   first day of the first week.</li>
-  <li><strong>%V:</strong> The week numpber as defined in ISO
+  <li><strong>%V:</strong> The week number as defined in ISO
   8601:1988, digital, from 01 to 53. The week 1 is the first week
-  with more than 4 days in the current year, whose monday is the first day.
+  with more than 4 days in the current year, whose Monday is the first day.
   (Use %G or %g for the year elements corresponding to the number of the
   week for the considered timestamp.)</li>
-  <li><strong>%W:</strong> Number of the week in the year, the first monday of
+  <li><strong>%W:</strong> Number of the week in the year, the first Monday of
   the year being the start of the first week</li>
   <li><strong>%w:</strong> Day of the week, digital, 0 stands for sunday</li>
Index: locales/en/help/core_media.html
===================================================================
--- locales/en/help/core_media.html	(revision 2534)
+++ locales/en/help/core_media.html	(revision 2568)
@@ -5,7 +5,7 @@
   <body>
     <h4>Media list</h4>
-    <p>The main page of the media manager displays a list of available files (medias) for the currently selected blog.</p>
+    <p>The main page of the media manager displays a list of available files (media) for the currently selected blog.</p>
 
-    <p>You can click the icons or names of the medias in the folder or any subfolder to display them.</p>
+    <p>You can click the icons or names of the media in the folder or any subfolder to display them.</p>
 
     <p>Selecting a MP3 sound file displays a player to immediately play the file. The Flash plugin must be installed on your browser for this player to operate.</p>
@@ -36,8 +36,8 @@
 
     <h4>Delete files</h4>
-    <p>To delete a file, check its checkbox and click on <strong>Remove selected medias</strong>. You can delete several files at once.</p>
+    <p>To delete a file, check its checkbox and click on <strong>Remove selected media</strong>. You can delete several files at once.</p>
 
     <h4>New folder</h4>
-    <p>This form allows you to create an new subfolder in the currently displayed
+    <p>This form allows you to create a new subfolder in the currently displayed
 folder. Just choose a name for it as you would do on your own computer.</p>
 
@@ -50,5 +50,5 @@
       
       <dt>File title</dt>
-      <dd>Give a title to the file, or change the current one.</dd>
+      <dd>Give a title to the file or change the current one.</dd>
       
       <dt>File date</dt>
@@ -66,5 +66,5 @@
     </dl>
 
-    <h4>Specific case: Images</h4>
+    <h4>Specific case: images</h4>
     <p>When you add an image, depending of its size, up to four versions will be made available (depending on the original image size):</p>
     <ul>
Index: locales/en/help/index.html
===================================================================
--- locales/en/help/index.html	(revision 2535)
+++ locales/en/help/index.html	(revision 2568)
@@ -10,26 +10,25 @@
 	<div class="fieldset">
 		<h4>First steps</h4>
-		<p> In addition to the global help pages, several administration pages have an online help. If javascript is enabled
-		on your browser, you can see online help at the upper-right position of the page, by clicking on the <img src="images/menu/help.png" alt="" /> <strong>Need Help?</strong> link; If Javascript is disabled, the help is displayed at the bottom of the page.</p>
-	</div>
-
-	<p> Each administration page will contain the same top heading, main manu and footer. <em>(The location for each element
-	is shown here for a computer reading; For mobile devices or tablets, the location may vary according the the space available.)</em></p>
+		<p>In addition to the global help pages, several administration pages have an online help. If javascript is enabled
+		on your browser, you can see online help at the upper-right position of the page, by clicking on the <img src="images/menu/help.png" alt="" /> <strong>Need Help?</strong> link. If Javascript is disabled, the help is displayed at the bottom of the page.</p>
+	</div>
+
+	<p>Each administration page will display the same top heading, main menu and footer. <em>(The order given here is what is shown on a computer screen. For mobile devices or tablets, it may vary according to the space available.)</em></p>
 
 	<h4 class="pretty-title">Top heading</h4>
 	<p>The top heading is composed of three elements:</p>
 	<h5 class="as_h4">Logo</h5>
-	<p>By default, this logo is the Dotclear logo, and links to the administration landing page. However, a platform
-	manager can choose another logo, and redirect to something else (generally, the service landing page).</p>
+	<p>By default, this logo is the Dotclear logo and links to the administration landing page. However, a platform
+	manager can choose another logo and redirect towards something else (generally, the service landing page).</p>
 
 	<h5 class="as_h4">Blog(s)</h5>
 	<p>The first element located after the logo shows the <em>active</em> blog, i.e. the blog on which you are acting. If your
-	installation is composed of several blogs, these information are available in a combo menu, which enables to switch to another blog.</p>
-	<p>The link following the blog name enables to go and see the blog in another window or another tab.</p>
+	installation is composed of several blogs, these informations are available in a combo menu, which lets you switch to another blog.</p>
+	<p>The link following the blog name opens your current blog in another window or another tab.</p>
 
 	<h5 class="as_h4">User</h5>
-	<p>At the very right part of the heading section, the link <em>My dashboard</em> enables to get back to the blog landing page.</p>
-	<p>The next link, <em>My preferences</em>, leads to the page where you can modify your personal information, setup the dashboard and choose your interface and editing options.</p>
-	<p>Surprisingly, the link <em>Disconnect [your login]</em> enables to… get disconnected (at Dotclear's, we are ergonomy champions!).</p>
+	<p>The link <em>My dashboard</em> gets you back to the blog administration landing page.</p>
+	<p>The link <em>My preferences</em> leads to the page where you can modify your personal informations, setup the dashboard and choose your interface and editing options.</p>
+	<p>Surprisingly, the link <em>Disconnect [your login]</em> disconnects you from the administration of your blog (at Dotclear's, we are ergonomy champions!).</p>
 
 	<h4 class="pretty-title">Main menu</h4>
@@ -37,9 +36,9 @@
 	<p>It leads to the different administration pages, according to your permissions on the current blog. It is composed of four blocks:</p>
 	<ul>
-		<li><strong>My favorites</strong> lists the pages that you have selected as favorites in the <em>My preferences</em>/<em>My Dashboard</em> tab. If you have not selected any favorite yet, this list will contain the default dotclear set, or the set that has been defined by the platform manager. If you do not want to display this block, you can uncheck the matching checkbox in your dashboard options .</li>
-		<li><strong>Blog</strong> lists all the pages that enable to feed and setup the current blog, from editing an entry, to manage media, or choosing presentation or other parameters.<br />
-		<em>If you do not have admin rights on the current blog, there will not be any other block below that one in the main menu.</em></li>
-		<li><strong>System settings</strong> links to the pages that enable to manage the Dotclear installation : blogs management, users and available languages, plugins installation, system settings. If you have rights on several blogs, but no superadmin rights, you will only see the <em>Blogs</em> entry.</li>
-		<li><strong>Plugins</strong> enables to setup the installed plugins. If the plugin settings only impact one blog at a time, its administration page is available from the <em>Blog</em> block, but if they impact the whole installation, they are located here, and only available for super-admin users.</li>
+		<li><strong>My favorites</strong> lists the pages that you have selected as favorites in the <em>My preferences</em>/<em>My Dashboard</em> tab. If you have not selected any favorite yet, this list will contain the default Dotclear set, or the set that has been defined by the platform manager. If you do not want to display this block, you can uncheck the matching checkbox in your dashboard options.</li>
+		<li><strong>Blog</strong> lists all the pages that enable to feed and setup the current blog, from editing an entry, managing media, choosing the blog appearance or other parameters.<br />
+		<em>If you do not have administrator rights on the current blog, there will be no other block below that one in the main menu.</em></li>
+		<li><strong>System settings</strong> links to the pages that allow you to manage the Dotclear installation: blogs management, users and available languages, plugins installation, system settings. If you have rights on several blogs, but no superadministrator rights, you will only see the <em>Blogs</em> entry.</li>
+		<li><strong>Plugins</strong> enables you to setup the installed plugins. If the plugin settings only impact one blog at a time, its administration page is available from the <em>Blog</em> block, but if they impact the whole installation, they are located here, and only available for super-admin users.</li>
 	</ul>
 
@@ -50,5 +49,5 @@
 	<p>If you are not familiar with blogs, we recommend that you have a look at our documentation (the whole table of contents is available in the <strong>Documentation</strong> tab of this page) as well as tutorials such as:
 	<ul>
-		<li><a href="http://dotclear.org/documentation/2.0/usage/beginners">My first entry, step by step</a></li>
+		<li><a href="http://dotclear.org/documentation/2.0/usage/beginners">My first entry, step by step.</a></li>
 	</ul>
 
@@ -97,5 +96,5 @@
 						<li>Adding files</li>
 						<li>Downloading a zip archive of the current directory</li>
-						<li>Change of gill in file details</li>
+						<li>Change of fill in file details</li>
 						<li>Adding files directly</li>
 						<li>Special file types</li>
@@ -106,5 +105,5 @@
 					<ul>
 						<li>Navigation sidebar, Extra sidebar</li>
-						<li>Defualt widgets</li>
+						<li>Default widgets</li>
 						<li>Adding/removing a widget</li>
 						<li>Widgets options</li>
@@ -189,5 +188,5 @@
 						<li>Automatic installation</li>
 						<li>Standard installation</li>
-						<li>Installing using the Wizard</li>
+						<li>Installing using the wizard</li>
 						<li>Installing from the config.php file</li>
 						<li>Completing the installation process</li>
@@ -252,5 +251,5 @@
 					</ul>
 				</li>
-				<li><a href="http://dotclear.org/documentation/2.0/admin/themes/blowup">Blowup, le thème par défaut</a>
+				<li><a href="http://dotclear.org/documentation/2.0/admin/themes/blowup">The default theme Blowup</a>
 				</li>
 				<li><a href="http://dotclear.org/documentation/2.0/admin/themes">Blog Themes</a>
@@ -294,5 +293,5 @@
 
 	<div class="multi-part" id="guide-dev" title="Developers documentation">
-	<h3>Developer and Designer Resources</h3>
+	<h3>Developer and Designer resources</h3>
 
 		<div class="three-boxes first-child">
@@ -391,5 +390,5 @@
 	<div class="multi-part legible" id="a11y-ergo" title="Accessibility and ergonomy">
 	<h3>Accessibility and ergonomy</h3>
-	<p>The Dotclear interface fulfills almost all the <a href="http://www.w3.org/TR/WCAG20/">WCAG 2.0</a> criterion; We are working towards making Dotclear compatible with <a href="http://www.w3.org/TR/ATAG20/">ATAG 2.0</a> guidelines.</p>
+	<p>The Dotclear interface fulfills almost all the <a href="http://www.w3.org/TR/WCAG20/">WCAG 2.0</a> criterion. We are working towards making Dotclear compatible with <a href="http://www.w3.org/TR/ATAG20/">ATAG 2.0</a> guidelines.</p>
 	<p>Accessibility and ergonomy are one of our main concern. We regularly run analysis with the help of experts and continuously provide fixes and enhancements.</p>
 	<p>You can help us by opening <a href="http://dev.dotclear.org/2.0/report">tickets</a> or by participating on the <a href="http://dotclear.org/forum/">forum</a>. You can also participate in user testing or join our team!</p>
Index: plugins/akismet/locales/en/help/help.html
===================================================================
--- plugins/akismet/locales/en/help/help.html	(revision 2322)
+++ plugins/akismet/locales/en/help/help.html	(revision 2569)
@@ -7,4 +7,11 @@
 
 <h4>Akismet filter</h4>
+<p>Akismet is a particularly efficient spam filter service that requires an API key to work.</p>
+
+<p>To get the API key, go to <a href="https://akismet.com/plans/">the Akismet API key signup page</a> and choose the plan that suits you the most. You'll have to fill a form. Don't forget to write down your email addres in order to receive the API key. If you have a Wordpress account, you can also use your identifiers to get the Akismet API key. If you choose the "Personal" plan, the key will be free and you'll be able to use it on a multiblog.
+</p>
+
+<p>Enter the API key and save. If the key is recognised, you should get the following message "API key checked". Go back to the filter list to activate Akismet if it's not done yet. 
+</p>
 
 </body>
Index: plugins/antispam/locales/en/help/filters.html
===================================================================
--- plugins/antispam/locales/en/help/filters.html	(revision 2535)
+++ plugins/antispam/locales/en/help/filters.html	(revision 2569)
@@ -11,5 +11,5 @@
 <dd>This filter checks if entering trackbacks contain a link to your entry. If it is not the case, they will be automatically banned, which means they won't appear in the list of junk comments.</dd>
 <dt>Links Lookup</dt>
-<dd>This filter works a bit like <strong>IP Lookup</strong> except instead of checking the author's IP address, it will check the links contained in the comment (including the author's website) appear in the <a href="http://www.surbl.org/">URI reputation website SURBL</a>. This filter cannot be configured.</dd>
+<dd>This filter works a bit like <strong>IP Lookup</strong> except that instead of checking the author's IP address, it will check the links contained in the comment (including the author's website) appear in the <a href="http://www.surbl.org/">URI reputation website SURBL</a>. This filter cannot be configured.</dd>
 </dl>
 
Index: plugins/antispam/locales/en/help/help.html
===================================================================
--- plugins/antispam/locales/en/help/help.html	(revision 2535)
+++ plugins/antispam/locales/en/help/help.html	(revision 2569)
@@ -7,5 +7,5 @@
 
 <h4>Antispam</h4>
-	<p>Spam in comments and trackbacks went from an anecdotic issue to a massive problem. Nowadays, it is mandatory to have access to a set of filters to check if a comment is potentially a junk or not. This is the purpose of the Antispam plugin.</p>
+	<p>Spam in comments and trackbacks went from an anecdotic issue to a massive problem. Nowadays, it is mandatory to have a set of filters to check if a comment is potentially a junk or not. This is the purpose of the Antispam plugin.</p>
 
 <dl>
Index: plugins/antispam/locales/en/help/ip.html
===================================================================
--- plugins/antispam/locales/en/help/ip.html	(revision 2535)
+++ plugins/antispam/locales/en/help/ip.html	(revision 2569)
@@ -8,5 +8,5 @@
 <h4>IP Filter</h4>
 
-<p>This filter allows you to manually blacklist or whitelist IP addresses. A comment coming from an IP address listed in the Black list section will immediately be considered as junk; A comment coming from an IP address listed in the White list section will be considered as trusted and the other antispam filters won't process it.</p>
+<p>This filter allows you to manually blacklist or whitelist IP addresses. A comment coming from an IP address listed in the black list section will immediately be considered as junk. A comment coming from an IP address listed in the white list section will be considered as trusted and the other antispam filters won't process it.</p>
 
 <p>To add an IP, first select the tab you want (<strong>Blacklist</strong> or <strong>Whitelist</strong>) and enter the IP address. The <strong>Global IP</strong> checkbox is available if you are a super administrator and will allow you to add the IP address to all the blogs of your Dotclear installation.</p>
Index: plugins/antispam/locales/en/help/words.html
===================================================================
--- plugins/antispam/locales/en/help/words.html	(revision 2535)
+++ plugins/antispam/locales/en/help/words.html	(revision 2570)
@@ -15,5 +15,5 @@
 	<dd>Hint: You can add a regular expression to your words list by adding a <code>/</code> at the beginning and the end of the word. For instance, <code>/foo/</code> will filter all the words containing <em>foo</em>.</dd>
 <dt>List of bad words</dt>
-	<dd>List of words that make the comment listed as junk.</dd>
+	<dd>List of words that list the comment as junk.</dd>
 	<dd>To remove words from this list, select the word(s) and press <strong>Delete selected words</strong>.</dd>
 <dt>Create default wordlist</dt>
Index: plugins/attachments/locales/en/help/help.html
===================================================================
--- plugins/attachments/locales/en/help/help.html	(revision 2534)
+++ plugins/attachments/locales/en/help/help.html	(revision 2569)
@@ -7,5 +7,5 @@
 
 <h4>Attachments</h4>
-<p>Click <strong>Add files to this entry</strong> to attach a file from the media manager to your entry. Once clicked, you will be taken to the media manager where you can browse the available files. Once you found the file you want to attach, click on the <code>+</code> <span class="hidden">(Attach this file to entry link)</span> sign.</p>
+<p>Click <strong>Add files to this entry</strong> to attach a file from the media manager to your entry. You will be taken to the media manager where you can browse the available files. Once you found the file you want to attach, click on the <code>+</code> <span class="hidden">(Attach this file to entry link)</span> sign.</p>
 <p>To remove an attachment, click on the trashcan icon <span class="hidden">(Remove attachment link)</span>.</p>
 <p>On your blog, attachments will appear after the entry content.</p>
Index: plugins/blowupConfig/locales/en/help/help.html
===================================================================
--- plugins/blowupConfig/locales/en/help/help.html	(revision 2534)
+++ plugins/blowupConfig/locales/en/help/help.html	(revision 2569)
@@ -6,5 +6,5 @@
 
 <body>
-<p>Modifying Blowup theme configuration allows you to customize your theme very easily. To do so, simply fill in the configuration fields or choose a predefined style.</p>
+<p>Modifying Blowup theme configuration enables you to customize your theme very easily. To do so, simply fill in the configuration fields or choose a predefined style.</p>
 
 <h4>Predefined styles</h4>
@@ -40,5 +40,5 @@
 <h4>Header images</h4>
 
-<p>You can choose a header image among the list to use in place of the default one.</p>
+<p>You can choose a header image among the list to replace the default one.</p>
 
 <p>By choosing <strong>Custom...</strong> in the image list, you will be able to upload your own image. <strong>The image file must be in JPG or PNG format and must be precisely 800px wide.</strong>
Index: plugins/importExport/locales/en/help/import.html
===================================================================
--- plugins/importExport/locales/en/help/import.html	(revision 2534)
+++ plugins/importExport/locales/en/help/import.html	(revision 2569)
@@ -14,11 +14,11 @@
 <p>Select the backup file (exported from another Dotclear install) or select one from the root directory of your media manager and click on the <strong>Import</strong> button to start the import process.</p>
 
-<p>Note: The content imported during this process will be added to the existing content of the current blog, nothing will be lost.</p>
+<p>Note: the content imported during this process will be added to the existing content of the current blog, nothing will be lost.</p>
 
 <h5>Multiple blogs</h5>
 
-<p>Select the full backup file from your computer or select one from your the root folder of your media manager, enter your password and click on the <strong>Import</strong> button to start the full import process.</p>
+<p>Select the full backup file from your computer or select one from the root folder of your media manager, enter your password and click on the <strong>Import</strong> button to start the full import process.</p>
 
-<p><strong>Warning:</strong> The whole content from the current blog will be deleted and replaced by the content of the backup file. Only current users will be kept. Additional users form the backup file will be appended to the current users list.</p>
+<p><strong>Warning:</strong> the whole content of the current blog will be deleted and replaced by the content of the backup file. Only current users will be kept. Additional users from the backup file will be added to the current users list.</p>
 
 <h4>RSS or Atom feed import</h4>
@@ -34,5 +34,5 @@
 <p>Enter the server URL where the Dotclear 1.2 database to import is located, then input the database name, the user name and password to connect to the database and the database tables prefix used in the Dotclear 1.2 installation. You can find this information in the <code>conf/config.php</code> file from your Dotclear 1.2 installation.</p>
 
-<p>Click on  the <strong>Import my blog now</strong> button to start the import process.</p>
+<p>Click on the <strong>Import my blog now</strong> button to start the import process.</p>
 
 <p>You can decrease or increase the amount of entries imported at once using the <strong>Number of entries to import at once</strong> field, depending on the access speed of your Dotclear 1.2 installation.</p>
@@ -44,5 +44,5 @@
 <p>Enter the server URL where the Wordpress database to import is located, then input the database name, the user name and password to connect to the database and the database tables prefix used in the Wordpress installation.</p>
 
-<p>You can set up a few import options regarding the categories import and the number of entries to import at once. You can also define the syntax to use for the entries and the comments content (XHTML, Wiki or others depending on the currently installed and activated syntaxes).</p>
+<p>You can set up a few import options regarding the categories import and the number of entries to import at once. You can also define the syntax used for the entries and the comments content (XHTML, Wiki or others depending on the currently installed and activated syntaxes).</p>
 
 <p>Click on <strong>Import my blog now</strong> to start the import process.</p>
@@ -50,5 +50,5 @@
 <hr />
 
-<p>Note: The export functions are now located in the<a href="/plugin.php?p=maintenance&tab=backup#backup">Maintenance</a> page.</p>
+<p>Note: the export functions are now located in the<a href="/plugin.php?p=maintenance&tab=backup#backup">Maintenance</a> page.</p>
 
 </body>
Index: plugins/maintenance/locales/en/help/maintenance.html
===================================================================
--- plugins/maintenance/locales/en/help/maintenance.html	(revision 2534)
+++ plugins/maintenance/locales/en/help/maintenance.html	(revision 2569)
@@ -11,8 +11,8 @@
   <dt>Activation</dt>
   <dd><p>Check this box to display alert messages under tasks that are late or that have never been executed.</p>
-  <p>Note: In <strong>My preferences</strong>, additional options allow you to display these tasks on your dashboard.</p></dd>
+  <p>Note: in <strong>My preferences</strong>, additional options allow you to display these tasks on your dashboard.</p></dd>
   
   <dt>Frequency</dt>
-  <dd><p>Allows to schedule the alert display of tasks to be done.</p>
+  <dd><p>Schedules the alert display of tasks to be done.</p>
   <p>This frequency can be common to all the tasks (select the <strong>Use one recall time for all tasks</strong> radio button) or can be set for each tasks.</p></dd>
 </dl>
Index: plugins/pages/locales/en/help/page.html
===================================================================
--- plugins/pages/locales/en/help/page.html	(revision 2534)
+++ plugins/pages/locales/en/help/page.html	(revision 2569)
@@ -36,5 +36,5 @@
   <dt>Publication date and hour</dt>
   <dd>Here you can change the page publication date and time. If the page
-  status is <em>Scheduled</em>,  it will come online at the given date and time.</dd>
+  status is <em>Scheduled</em>,  it will be online at the given date and time.</dd>
 
   <dt>Page language</dt>
@@ -50,5 +50,5 @@
 
   <dt>Page position</dt>
-  <dd>Allows to order pages according to this number.
+  <dd>Orders pages according to this number.
   This field is used by the <strong>Pages</strong> widget (<em>Order by page position</em>).</dd>
  
@@ -75,5 +75,5 @@
   
   <dt>Basename</dt>
-  <dd>By clicking on its lock, you can unprotect this field and and choose another
+  <dd>By clicking on its lock, you can unprotect this field and choose another
   URL for your page. If the URL you're trying to use is already used by another
   page, a number will be added to it.</dd>
Index: plugins/pages/locales/en/help/pages.html
===================================================================
--- plugins/pages/locales/en/help/pages.html	(revision 2534)
+++ plugins/pages/locales/en/help/pages.html	(revision 2569)
@@ -10,11 +10,11 @@
 
 <ul>
-  <li><strong>Publish:</strong> Set pages online,</li>
-  <li><strong>Unpublish:</strong> Set pages offline,</li>
-  <li><strong>Schedule:</strong> Schedule the page to go online at the date defined in the <strong>Publication date</strong> field,</li>
-  <li><strong>Mark as pending:</strong> Erase other publication status,</li>
-  <li><strong>Change author:</strong> Allows you to change the pages' author by
+  <li><strong>Publish:</strong> set pages online,</li>
+  <li><strong>Unpublish:</strong> set pages offline,</li>
+  <li><strong>Schedule:</strong> schedule the page to go online at the date defined in the <strong>Publication date</strong> field,</li>
+  <li><strong>Mark as pending:</strong> erase other publication status,</li>
+  <li><strong>Change author:</strong> allows you to change the pages' author by
   entering the new author's ID,</li>
-  <li><strong>Delete:</strong> Delete the pages (this operation cannot be undone).</li>
+  <li><strong>Delete:</strong> delete the pages (this operation cannot be undone).</li>
 </ul>
 
Index: plugins/pings/locales/en/help/pings_post.html
===================================================================
--- plugins/pings/locales/en/help/pings_post.html	(revision 2534)
+++ plugins/pings/locales/en/help/pings_post.html	(revision 2569)
@@ -8,5 +8,5 @@
 <h4>Pings</h4>
 <p>Check the services you want to ping when the entry is published.</p>
-<p>To add a remove a ping service, go to the <a href="plugin.php?p=pings">pings admin page</a>.</p>
+<p>To add or remove a ping service, go to the <a href="plugin.php?p=pings">pings admin page</a>.</p>
 </body>
 </html>
Index: plugins/tags/locales/en/help/tag_posts.html
===================================================================
--- plugins/tags/locales/en/help/tag_posts.html	(revision 2534)
+++ plugins/tags/locales/en/help/tag_posts.html	(revision 2569)
@@ -7,10 +7,10 @@
 
 <h4>Available actions on a tag</h4>
-<p>The first part of the page allows to modify or delete a tag.</p>
+<p>The first part of the page enables you to modify or delete a tag.</p>
 <dl>
 	<dt>Rename</dt>
-	<dd>Enter a new word for the tag and click <strong>OK</strong>. This modification will be done on all the entries containing this tag.</dd>
+	<dd>Enter a new word for the tag and click <strong>OK</strong>. This will modify all the entries containing this tag.</dd>
 	<dt>Delete this tag</dt>
-	<dd>This button will remove the tag from all the entries it is affected to and will delete it from the tags list.</dd>
+	<dd>This button will remove the tag from all the entries it is assigned to and will delete it from the tags list.</dd>
 </dl>
 <h4>List of entries with this tag</h4>
@@ -21,5 +21,5 @@
   <li><strong>Schedule:</strong> Schedule the selected entries to be set online at publication date.</li>
   <li><strong>Mark as pending:</strong> Mark selected entries as pending.</li>
-  <li><strong>Mark as selected/unselected:</strong> Set the selected entries as Selected/Unselected./li>
+  <li><strong>Mark as selected/unselected:</strong> Set the selected entries as selected/unselected./li>
   <li><strong>Change category:</strong> Modify the category of the selected entries.</li>
   <li><strong>Change language:</strong> Modify the language of the selected entries.</li>